@import url('https://fonts.googleapis.com/css2?family=Inter:wght@400;700&family=Krona+One&family=Montserrat:wght@400;600&display=swap');
:root {
    --cor-titulo: #000000;
    --cor-secundaria: #252525;
    --cor-destaque: #0073ff;
    --cor-de-fundo: #e9f3ff;
    --cor-destaque-hover: #004dac;
    --fonte-principal: 'Inter', sans-serif;
}

* {
    margin: 0;
    padding: 0;
}

body {
    background-color: var(--cor-de-fundo);
    color: var(--cor-titulo);
    font-family: var(--fonte-principal);
    font-size: 18px;
    font-weight: 400;
}

.principal {
    align-items: center;
    text-align: center;
}

.container {
    height: 70vh;
    display: grid;
    grid-template-columns: 50% 50%;
}

.container__caixa {
    margin: 0 6em;
}

.container__titulo {
    font-size: 48px;
    font-weight: 700;
    margin-bottom: 1em;
}

.titulo__destaque {
    color: var(--cor-destaque);
}

.container__imagem {
    margin: 1em 0 2em 0;
    border-radius: 16px;
}

.container__botao {
    background-color: var(--cor-destaque);
    border-radius: 8px;
    padding: 1em;
    color: var(--cor-titulo);
    display: block;
    text-decoration: none;
    margin-bottom: 1em;
}

.container__botao:hover {
    background-color: var(--cor-destaque-hover);
}

.botao_secundario {
    background-color: transparent;
    border: 1px solid var(--cor-titulo);
}

.container__aviso {
    font-size: 12px;
    color: var(--cor-secundaria);
}

.secundario {
    align-items: center;
    margin: 0 10em;
}

.secundario__imagem {
    width: 80%;
    border-radius: 16px;
}

.container__descricao {
    padding: 2em 0;
}

.descricao__titulo {
    font-weight: 700;
    font-size: 48px;
    color: var(--cor-titulo);
    margin-bottom: 1em;
}

.descricao__texto {
    color: var(--cor-secundaria);
    text-align: justify;
    margin-right: 3em;
}

.secundario__botao {
    display: inline-block;
    margin-top: 1em;
}

.dispositivos {
    text-align: center;
}

.dispositivos__titulo {
    font-size: 48px;
    color: var(--cor-titulo);
}

.dispositivos__lista {
    display: flex;
    justify-content: center;
    list-style-type: none;
    margin: 5em 0;
}

.lista__item {
    font-size: 32px;
    color: var(--cor-titulo);
}

.container__contato {
    padding: 3em 2em;
}

.contato__titulo {
    margin: 5% 0 2% 0;
    font-size: 28px;
}

.contato__email {
    display: flex;
}

.contato__link {
    display: flex;
    text-decoration: underline;
    margin-bottom: 1%;
    color: var(--cor-titulo);
}

.rodape {
    text-align: center;
    margin: 5em 3em;
}

.rodape__logo {
    margin-bottom: 2em;
    width: 200px;
}

.rodape__imagem {
    margin-bottom: 2em;
    width: 32px;
}

.rodape__lista {
    display: flex;
    justify-content: center;
    list-style-type: none;
    margin: 1em 0 2em 0;
}

.lista__link a {
    text-decoration: none;
    color: var(--cor-titulo);
    margin-right: 1em;
}

.lista__link a:hover {
    color: var(--cor-destaque);
}

.lista__link a:active {
    color: purple;
}

.rodape__texto {
    margin: 1em 0;
    color: var(--cor-secundaria);
    font-size: 14px;
}

@media (max-width: 800px) {
    .container {
        grid-template-columns: 100%;
        background-size: contain;
        width: 100%;
    }
    .container__caixa {
        margin: 2em;
    }
    .container__imagem {
        width: 100%;
    }
    .secundario {
        grid-template-columns: 100%;
        text-align: center;
        margin: 0;
        padding: 0;
    }
    .secundario__imagem {
        padding: 0 10%;
    }
    .container__descricao {
        padding: 0 1.5em;
    }
    .descricao__titulo {
        margin-bottom: 5%;
        font-size: 32px;
    }
    .dispositivos__titulo {
        font-size: 32px;
    }
    .dispositivos__lista {
        display: grid;
    }
    .rodape__lista {
        display: list-item;
    }
}